<template>
  <div v-if='show'>
    Недостаточно средств для покупки, перейдите на <a target='_blank' href='https://exchange.ledius.ru'>биржу</a> для покупки токенов LDS
  </div>
</template>

<script lang='ts'>

import Vue from 'vue';
import Component from 'vue-class-component';
import { Prop } from 'vue-property-decorator';

@Component({})
export default class InsufficientBalance extends Vue {
  @Prop({
    type: Number,
    required: false
  })
  private readonly code?: number;

  private readonly matchCode: 7 = 7;

  private get show() {
    return this.code && this.code === this.matchCode;
  }
}

</script>

<style scoped>

</style>
